<?php
/*********************************************************************************
 * The contents of this file are subject to the TimeTrex Public License Version
 * 1.1.0 ("License"); You may not use this file except in compliance with the
 * License. You may obtain a copy of the License at http://www.TimeTrex.com/TPL
 * Software distributed under the License is distributed on an "AS IS" basis,
 * WITHOUT WARRANTY OF ANY KIND, either express or implied.  See the License
 * for the specific language governing rights and limitations under the
 * License.
 *
 * All copies of the Covered Code must include on each user interface screen:
 *    (i) the "Powered by TimeTrex" logo and
 *    (ii) the TimeTrex copyright notice
 * in the same form as they appear in the distribution.  See full license for
 * requirements.
 *
 * The Original Code is: TimeTrex Open Source
 * The Initial Developer of the Original Code is TimeTrex Payroll Services
 * Portions created by TimeTrex are Copyright (C) 2004-2007 TimeTrex Payroll Services;
 * All Rights Reserved.
 *
 ********************************************************************************/
/*
 * $Revision: 3 $
 * $Id: Cache.inc.php 3 2006-08-07 23:01:18Z ipso $
 * $Date: 2006-08-07 16:01:18 -0700 (Mon, 07 Aug 2006) $
 */
require_once( Environment::getBasePath() .'classes'. DIRECTORY_SEPARATOR .'cache_lite'. DIRECTORY_SEPARATOR .'Hashed_Cache_Lite.php');

$cache_options = array(
		'caching' => $config_vars['cache']['enable'],
		'cacheDir' => $config_vars['cache']['dir'] . DIRECTORY_SEPARATOR,
		'lifeTime' => 604800, //One week, cache should be cleared when the data is modified
		'fileLocking' => TRUE,
		'writeControl' => TRUE,
		'readControl' => TRUE,
		'memoryCaching' => TRUE,
		'automaticSerialization' => FALSE
);

$cache = new Hashed_Cache_Lite($cache_options);
?>