{include file="sm_header.tpl"}

{include file="install/Install.js.tpl"}

<div id="rowContent">
  <div id="titleTab"><div class="textTitle"><span class="textTitleSub">{$title}</span></div>
</div>
<div id="rowContentInner">
		<table class="editTable">
		<form method="get" action="{$smarty.server.SCRIPT_NAME}">
				<tr>
					<td class="tblPagingLeft" colspan="7" align="right">
						<br>
					</td>
				</tr>

				<tr>
					<td class="tblDataWhiteNH" colspan="7" align="right">
						In order for your {$APPLICATION_NAME} installation to function properly, please ensure all of the system check items listed below are marked as "<b>OK</b>". If any are red, please take the necessary steps to fix them.
					</td>
				</tr>

				{if $install_obj->checkAllRequirements() != 0}
				<tr>
					<td class="tblDataWhiteNH" colspan="7" align="right">
						<div id="rowWarning">
						For installation support, please join our community <a href="http://forums.timetrex.com" target="_blank">forums</a> or
						contact a TimeTrex support expert for <a href="http://www.timetrex.com/setup_support.php" target="_blank">Implementation Support Services</a>.
						</div>
					</td>
				</tr>
				{/if}

				<tr>
					<td class="cellLeftEditTable">
						TimeTrex Version:
					</td>
					<td class="cellRightEditTable">
						{assign var="check_timetrex_version" value=$install_obj->checkTimeTrexVersion()}
						{if $check_timetrex_version == 0}
							<span class="">OK
							(v{$install_obj->getCurrentTimeTrexVersion()})
						{elseif $check_timetrex_version == 1}
							<span class="tblDataWarning">Unable to Check Latest Version
						{elseif $check_timetrex_version == 2}
							<span class="tblDataWarning">A Newer Version of TimeTrex is Available.
							<a href="http://www.timetrex.com/download.php">Download v{$install_obj->getLatestTimeTrexVersion()} Now</a>
						{/if}
						</span>
					</td>
				</tr>

				<tr>
					<td class="cellLeftEditTable">
						PHP Version:
					</td>
					<td class="cellRightEditTable">
						{if $install_obj->checkPHPVersion() == 0}
							<span class="">OK
						{elseif $install_obj->checkPHPVersion() == 1}
							<span class="tblDataError">Invalid
						{elseif $install_obj->checkPHPVersion() == 2}
							<span class="tblDataWarning">Unsupported
						{/if}
						(v{$install_obj->getPHPVersion()})
						</span>
					</td>
				</tr>

				<tr>
					<td class="cellLeftEditTable">
						Database Engine:
					</td>
					<td class="cellRightEditTable">
						{if $install_obj->checkDatabaseType() == 0}
							<span class="">OK
						{elseif $install_obj->checkDatabaseType() == 1}
							<span class="tblDataError">Invalid
						{elseif $install_obj->checkDatabaseType() == 2}
							<span class="tblDataWarning">Unsupported
						{/if}
						</span>
					</td>
				</tr>
{*
				<tr>
					<td class="cellLeftEditTable">
						Database Version:
					</td>
					<td class="cellRightEditTable">
						{if $install_obj->checkDatabaseVersion() == 0}
							<span class="">OK
						{elseif $install_obj->checkDatabaseVersion() == 1}
							<span class="tblDataError">Invalid
						{elseif $install_obj->checkDatabaseVersion() == 2}
							<span class="tblDataWarning">Unsupported
						{/if}
						({$install_obj->getDatabaseVersion()})
						</span>
					</td>
				</tr>
*}
				<tr>
					<td class="cellLeftEditTable">
						PHP BCMATH Enabled:
					</td>
					<td class="cellRightEditTable">
						{if $install_obj->checkBCMATH() == 0}
							<span class="">OK
						{elseif $install_obj->checkBCMATH() == 1}
							<span class="tblDataError">Warning: Not Installed. (BCMATH extension must be enabled)
						{/if}
						</span>
					</td>
				</tr>

				<tr>
					<td class="cellLeftEditTable">
						PHP SOAP Enabled:
					</td>
					<td class="cellRightEditTable">
						{if $install_obj->checkSOAP() == 0}
							<span class="">OK
						{elseif $install_obj->checkSOAP() == 1}
							<span class="tblDataError">Warning: Not Installed. (SOAP extension must be enabled)
						{/if}
						</span>
					</td>
				</tr>

				{if $install_obj->isProfessionalEditionAvailable() == TRUE}
				<tr>
					<td class="cellLeftEditTable">
						PHP MCRYPT Enabled:
					</td>
					<td class="cellRightEditTable">
						{if $install_obj->checkMCRYPT() == 0}
							<span class="">OK
						{elseif $install_obj->checkMCRYPT() == 1}
							<span class="tblDataError">Warning: Not Installed. (MCRYPT extension must be enabled)
						{/if}
						</span>
					</td>
				</tr>
				{/if}

				<tr>
					<td class="cellLeftEditTable">
						PEAR:
					</td>
					<td class="cellRightEditTable">
						{if $install_obj->checkPEAR() == 0}
							<span class="">OK
						{elseif $install_obj->checkPEAR() == 1}
							<span class="tblDataError">Warning: Not Installed. {if PHP_OS == 'WINNT'}(try running: "<b>go-pear.bat</b>"){else}(install the PEAR RPM or package from <a href="http://pear.php.net">http://pear.php.net</a>){/if}
						{/if}
						</span>
					</td>
				</tr>

{*
				<tr>
					<td class="cellLeftEditTable">
						PEAR HTML_Progress:
					</td>
					<td class="cellRightEditTable">
						{if $install_obj->checkPEARHTML_Progress() == 0}
							<span class="">OK
						{elseif $install_obj->checkPEARHTML_Progress() == 1}
							<span class="tblDataError">Warning: Not Installed. (try running: "<b>pear install -f --alldeps HTML_Progress</b>")
						{/if}
						</span>
					</td>
				</tr>

				<tr>
					<td class="cellLeftEditTable">
						PEAR HTTP_Download:
					</td>
					<td class="cellRightEditTable">
						{if $install_obj->checkPEARHTTP_Download() == 0}
							<span class="">OK
						{elseif $install_obj->checkPEARHTTP_Download() == 1}
							<span class="tblDataError">Warning: Not Installed. (try running: "<b>pear install -f --alldeps HTTP_Download</b>")
						{/if}
						</span>
					</td>
				</tr>

				<tr>
					<td class="cellLeftEditTable">
						PEAR AJAX (v0.4.1+):
					</td>
					<td class="cellRightEditTable">
						{if $install_obj->checkPEARHTML_AJAX() == 0}
							<span class="">OK
						{elseif $install_obj->checkPEARHTML_AJAX() == 1}
							<span class="tblDataError">Warning: Not Installed. (try running: "<b>pear install -f --alldeps HTML_AJAX-alpha</b>")
						{/if}
						</span>
					</td>
				</tr>

				<tr>
					<td class="cellLeftEditTable">
						PEAR Mail:
					</td>
					<td class="cellRightEditTable">
						{if $install_obj->checkPEARMail() == 0}
							<span class="">OK
						{elseif $install_obj->checkPEARMail() == 1}
							<span class="tblDataError">Warning: Not Installed. (try running: "<b>pear install -f --alldeps Mail</b>")
						{/if}
						</span>
					</td>
				</tr>

					<td class="cellLeftEditTable">
						PEAR Mail_Mime:
					</td>
					<td class="cellRightEditTable">
						{if $install_obj->checkPEARMail_Mime() == 0}
							<span class="">OK
						{elseif $install_obj->checkPEARMail_Mime() == 1}
							<span class="tblDataError">Warning: Not Installed. (try running: "<b>pear install -f --alldeps Mail_Mime</b>")
						{/if}
						</span>
					</td>
				</tr>
*}

				{if $install_obj->isProfessionalEditionAvailable() == TRUE}
{*
				<tr>
					<td class="cellLeftEditTable">
						PEAR NET_Curl:
					</td>
					<td class="cellRightEditTable">
						{if $install_obj->checkPEARNet_Curl() == 0}
							<span class="">OK
						{elseif $install_obj->checkPEARNet_Curl() == 1}
							<span class="tblDataError">Warning: Not Installed. (try running: "<b>pear install -f --alldeps NET_Curl</b>")
						{/if}
						</span>
					</td>
				</tr>

				<tr>
					<td class="cellLeftEditTable">
						PEAR Validate:
					</td>
					<td class="cellRightEditTable">
						{if $install_obj->checkPEARValidate() == 0}
							<span class="">OK
						{elseif $install_obj->checkPEARValidate() == 1}
							<span class="tblDataError">Warning: Not Installed. (try running: "<b>pear install -f --alldeps Validate</b>")
						{/if}
						</span>
					</td>
				</tr>

				<tr>
					<td class="cellLeftEditTable">
						PEAR Validate_Finance:
					</td>
					<td class="cellRightEditTable">
						{if $install_obj->checkPEARValidate_Finance() == 0}
							<span class="">OK
						{elseif $install_obj->checkPEARValidate_Finance() == 1}
							<span class="tblDataError">Warning: Not Installed. (try running: "<b>pear install -f --alldeps Validate_Finance</b>")
						{/if}
						</span>
					</td>
				</tr>

				<tr>
					<td class="cellLeftEditTable">
						PEAR Validate_Finance_CreditCard:
					</td>
					<td class="cellRightEditTable">
						{if $install_obj->checkPEARValidate_Finance_CreditCard() == 0}
							<span class="">OK
						{elseif $install_obj->checkPEARValidate_Finance_CreditCard() == 1}
							<span class="tblDataError">Warning: Not Installed. (try running: "<b>pear install -f --alldeps Validate_Finance_CreditCard</b>")
						{/if}
						</span>
					</td>
				</tr>
*}
				{/if}

				<tr>
					<td class="cellLeftEditTable">
						Writable {$APPLICATION_NAME} Configuration File (timetrex.ini.php):
					</td>
					<td class="cellRightEditTable">
						{if $install_obj->checkWritableConfigFile() == 0}
							<span class="">OK
						{elseif $install_obj->checkWritableConfigFile() == 1}
							<span class="tblDataError">Warning: Not writable
						{/if}
						</span>
					</td>
				</tr>

				<tr>
					<td class="cellLeftEditTable">
						Writable Cache Directory:
					</td>
					<td class="cellRightEditTable">
						{if $install_obj->checkWritableCacheDirectory() == 0}
							<span class="">OK
						{elseif $install_obj->checkWritableCacheDirectory() == 1}
							<span class="tblDataError">Warning: Not writable ({$install_obj->config_vars.cache.dir})
						{/if}
						</span>
					</td>
				</tr>

				<tr>
					<td class="cellLeftEditTable">
						Writable Storage Directory:
					</td>
					<td class="cellRightEditTable">
						{if $install_obj->checkWritableStorageDirectory() == 0}
							<span class="">OK
						{elseif $install_obj->checkWritableStorageDirectory() == 1}
							<span class="tblDataError">Warning: Not writable ({$install_obj->config_vars.path.storage})
						{/if}
						</span>
					</td>
				</tr>

				<tr>
					<td class="cellLeftEditTable">
						Writable Log Directory:
					</td>
					<td class="cellRightEditTable">
						{if $install_obj->checkWritableLogDirectory() == 0}
							<span class="">OK
						{elseif $install_obj->checkWritableLogDirectory() == 1}
							<span class="tblDataError">Warning: Not writable ({$install_obj->config_vars.path.log})
						{/if}
						</span>
					</td>
				</tr>

				<tr>
					<td class="cellLeftEditTable">
						PHP Safe Mode Turned Off:
					</td>
					<td class="cellRightEditTable">
						{if $install_obj->checkPHPSafeMode() == 0}
							<span class="">OK
						{elseif $install_obj->checkPHPSafeMode() == 1}
							<span class="tblDataError">Safe Mode is On. (Please disable it in php.ini)
						{/if}
						</span>
					</td>
				</tr>

				<tr>
					<td class="cellLeftEditTable">
						PHP Memory Limit:
					</td>
					<td class="cellRightEditTable">
						{if $install_obj->checkPHPMemoryLimit() == 0}
							<span class="">OK {if $install_obj->getMemoryLimit() > 0}({$install_obj->getMemoryLimit()}M){/if}
						{elseif $install_obj->checkPHPMemoryLimit() == 1}
							<span class="tblDataError">Warning: {$install_obj->getMemoryLimit()}M (Set this to 20M or higher)
						{/if}
						</span>
					</td>
				</tr>

				<tr>
					<td class="tblDataWhiteNH" colspan="2">
						<ul>
						<li>Your {$APPLICATION_NAME} configuration file (timetrex.ini.php) is located at:<br> <b>{$install_obj->getConfigFile()}</b></li>
						<br>
						<li>Your PHP configuration file (php.ini) is located at:<br> <b>{$install_obj->getPHPConfigFile()}</b>, the include path is: "<b>{$install_obj->getPHPIncludePath()}</b>"</li>
						<br>
						<li>Detailed <a href="{$smarty.server.SCRIPT_NAME}?action=phpinfo">PHP Information</a></li>
						</ul>
					</td>
				</tr>

				<tr>
					<td class="tblPagingLeft" colspan="7" align="right">
						<input type="submit" class="btnSubmit" id="next_button" name="action" value="Back">
						<input type="submit" class="btnSubmit" id="next_button" name="action" value="Re-Check">
						<input type="submit" class="btnSubmit" id="next_button" name="action" value="Next" {if $install_obj->checkAllRequirements() == 1}disabled{/if}>
					</td>
				</tr>
			</table>
		</form>
	</div>
</div>
{include file="footer.tpl"}